package com.ruoyi.interfaces.mapper;

import com.ruoyi.interfaces.domain.PtServiceCate;

import java.util.List;

public interface PtServiceCateMapper {

    // 查询数据列表
    List<PtServiceCate> selectAll();

    // 根据主键查询一条数据
    PtServiceCate selectByPrimaryKey(String cateId);

    // 根据主键更新数据
    int updateByPrimaryKeySelective(PtServiceCate record);

    // 根据主键删除数据
    int deleteByPrimaryKey(String cateId);

    int insert(PtServiceCate record);

    int insertSelective(PtServiceCate record);

    int updateByPrimaryKey(PtServiceCate record);
}
